Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.messaging
Interface IMessage

All Superinterfaces:
  IFieldGroup

    public interface IMessage

extends IFieldGroup

Methods required to identify a message.

Field Summary
`static String` | `TAG_IMESSAGE` Tag identificator of message objects within transport streams
`static String` | `TAG_PING` Tag identificator of Ping message type code within transport streams
`static String` | `TAG_SID` Tag identificator of SID message field within transport streams

Method Summary
`String` | `getMsgType()` Obtains message type code
`String` | `getSessionID()` Obtains user session ID
`void` | `printState(PrintStream aOut)` Deprecated. printState is no longer supported. Use toString instead.
`boolean` | `setMsgType(String aType)` Updates message type
`boolean` | `setSessionID(String aSID)` Updates user session ID

Methods inherited from interface com.fxcm.messaging.IFieldGroup
`getField, getFirst, getNext, getValueBytes, getValueDouble, getValueInt, getValueList, getValueLong, getValueString, putField, setValue, setValue, setValue, setValue, setValue, setValue`

Field Detail

### TAG_IMESSAGE

    static final String TAG_IMESSAGE

  Tag identificator of message objects within transport streams

  See Also:
    Constant Field Values

### TAG_SID

    static final String TAG_SID

  Tag identificator of SID message field within transport streams

  See Also:
    Constant Field Values

### TAG_PING

    static final String TAG_PING

  Tag identificator of Ping message type code within transport streams

  See Also:
    Constant Field Values

Method Detail

### getSessionID

    String getSessionID()

  Obtains user session ID

  Returns:
    `null` when not present

### getMsgType

    String getMsgType()

  Obtains message type code

  Returns:
    `null` when not present

### setSessionID

    boolean setSessionID(String aSID)

  Updates user session ID

  Parameters:
    `aSID` - new user session ID

### setMsgType

    boolean setMsgType(String aType)

  Updates message type

  Parameters:
    `aType` - new type of message

### printState

    void printState(PrintStream aOut)

  Deprecated. printState is no longer supported. Use toString instead.

  Prints entity state.

  Parameters:
    `aOut` - Stream to print out.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.